Uudised

Veebibrauseris allkirjastamisel ei ole enam toetatud Java Applet

31.01.2013

Alates ID-kaardi baastarkvara versioonist 3.7 ei ole enam allkirjastamiseks toetatud Java Applet. Versioonis 3.7 kaob ära PKCS#11 wrapper moodul, mida kasutab Java Applet Windowsi operatsioonisüsteemides.

Kõik e-teenused ja infosüsteemid, kus on endiselt kasutusel Java Applet peaksid kasutusele võtma veebilehitsejapõhise allkirjastamise komponendi (plugini). Vastasel juhul ei ole ID-kaardiga allkirjastamine Java Appleti kasutanud operatsioonisüsteemides nendes teenustes enam võimalik.

Veebilehitsejapõhist plugin’i levitatakse baastarkvara koosseisus alates 2010. aasta oktoobrist ja see on ainus riikliku baastarkvara poolt ametlikult toetatud allkirjastamise komponent.

ID-tarkvara versioon 3.7 avalikustati installer.id.ee lehel 22.01.2013 ning automaatne tarkvara uuendus tarkvara vanemate versioonide kasutajatele on planeeritud peale panna ca 25.02.2013.

Infosüsteemi arendaja peaks üle minema viimasele idCard.js versioonile (0.12), kus on eemaldatud Java Appleti laadimise ja tuvastamise tugi. 

Java Applet on aegunud ja ebaturvaline komponent ega ole kunagi olnud ametliku ID-tarkvara osa.

Küsimuste korral tuleks pöörduda: support at sk dot ee

 


KÜSI ABI

Kui sa ei leidnud oma küsimusele vastust, kirjuta meie meeskonnale.



  • Vaata juhendit
  • Hinda oma arvutikasutusoskust, et saaksime anda paremaid juhiseid

         

  • Kontroll ebaõnnestus

Kuidas saame artiklit parandada, et sellest rohkem abi oleks?
Saada Sulge